Subject: Re: [net-next Patch 4/5] octeontx2-af: replace generic error codes

From: Jakub Kicinski <[email-masked]>
Date: Fri, 18 Aug 2023 19:50:41 -0700

On Thu, 17 Aug 2023 16:53:56 +0530 Hariprasad Kelam wrote:
> currently, if any netdev is not mapped to the MAC block(cgx/rpm)
> requests MAC feature, AF driver returns a generic error like -EPERM.
> This patch replaces generic error codes with driver-specific error
> codes for better debugging

The custom error codes are not liked upstream, they make much harder
for people who don't work on the driver to refactor it.

If you want debugging isn't it better to add a tracepoint to the
checks?
-- 
pw-bot: cr